# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.2.3] - 2024-06-06
Improved pack.mcmeta files and added proper texturing to the borders of seven banner patterns.

### Changed
- pack.mcmeta files now use the "supported_formats" object to introduce support of a range of versions.
- Data Pack version is now 34 - 999.
- Resource Pack version is now 28 - 999.

### Fixed
- Fix borders of the Blam banner pattern
- Fix borders of the Circle Tiles banner pattern
- Fix borders of the Cogs banner pattern
- Fix borders of the Curtains banner pattern
- Fix borders of the Fancy banner pattern
- Fix borders of the Ribs banner pattern
- Fix borders of the Tattered banner pattern

## [0.2.2] - 2024-04-25
Added 5 new banner patterns.

### Added
- Emoji: An icon of a smiley face.
- Ghast: Front-on image of a ghast.
- Knot: A celtic knot icon.
- Pyramid: A desert pyramid.
- Tower: A tower icon.

## [0.2.1] - 2024-03-23
Added 5 new banner patterns.

### Added
- Anchor: An anchor icon.
- Eye: A human eye icon.
- Horn: A goat horn.
- Pillager: The face of a Pillager.
- Villager: The face of a Villager.

## [0.2.0] - 2024-03-15
Added new banner patterns, and patterns are now categorised.

### Added
- Curtains: A fancy curtain border.
- Diamonds: A 'Diamonds' playing card symbol.
- Hammer: An icon of a hammer.
- Revolution: An icon of a fist raised in a revolutionary pose.
- Ribs: A skeletal / rib-like border pattern.
- Shield: An icon of a shield.
- Tattered: A pattern reminiscent of a tattered banner.
- Trident: An icon of a trident.

### Changed
- Data Pack version is now 35.
- Resource Pack version is now 29.
- Many patterns now require a Banner Pattern item to be used.
  - This was done for future-proofing, as the loom was getting crowded.
  - Patterns have been split in to 7 categories
    - Base: No Banner Pattern required. For basic patterns and borders.
    - Creeper: Requires 'Creeper Charge' Banner Pattern. For mob related patterns.
    - Flower: Requires 'Flower Charge' Banner Pattern. For patterns related to nature and harmony.
    - Globe: Requires 'Globe' Banner Pattern. For block and item related patterns.
    - Thing: Requires 'Thing' Banner Pattern. For icon and miscellaneous patterns.
    - Snout: Requires 'Snout' Banner Pattern. For patterns related to buildings or places.
    - Skull: Requires 'Skull Charge' Banner Pattern. For patterns related to weapons, armour or accessories.
  - See [README.md](README.md) for each pattern's category.

### Fixed
- Removed stray pixel on the 'Peace' icon pattern.
- Removed excess pixels from the 'Fancy' border pattern.

## [0.1.0] - 2024-03-10
Initial release
- Data Pack version is 34.
- Resource Pack version is 28.

### Added
- Blam: A radial stripe pattern.
- Castle: A castle icon.
- Chequered: A chequer-board pattern.
- Circle Tiles: A tile pattern of circles.
- Clubs: A 'Clubs' playing card symbol.
- Cogs: A steam punk themed border.
- Companion: A companion cube icon.
- Crown: A crown icon.
- Fancy: A fancy border, more rounded than 'Bordure Indented'.
- Hearts: A 'Hearts' playing card symbol.
- Moon: A crescent moon icon.
- Palace: An icon of a palace, flying a flag.
- Peace: A peace symbol.
- Pumpkin: A carved pumpkin face.
- Spades: A 'Spades' playing card symbol.
- Sun: A sun icon.
- Sword: An icon of a sword.
- Yin and Yang: An icon of yin and yang.